Update Connection

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
PUT /connections/{connectionId}

Update Connection.

Path parameters

  • connectionId string Required

    id of the Connection

application/json

Body

  • id string

    Connection Id

  • config object Required

    Configuration based on connection type

  • connection_name string

    Connection Name

  • created_by string

    Created by entity name

  • created_by_id string

    Created by entity Id

  • description string

    Connection description

  • owning_entity string

    Owner's name

  • trusted_entities array

    Array of Entities that have permission to this connection

  • type string Required

    Connection type (email, iform_oauth2, )

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id string

      the updated Connection Id

PUT /connections/{connectionId}
curl \
 --request PUT 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/connections/{connectionId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"id":"string","config":{},"connection_name":"string","created_by":"string","created_by_id":"string","description":"string","owning_entity":"string","trusted_entities":[],"type":"string"}'
Request examples
{
  "id": "string",
  "config": {},
  "connection_name": "string",
  "created_by": "string",
  "created_by_id": "string",
  "description": "string",
  "owning_entity": "string",
  "trusted_entities": [],
  "type": "string"
}
Response examples (200)
{
  "_id": "574bcd24d96535adaf730a63"
}